<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:stl="http://xml.itools.org/namespaces/stl">
  <head>
    <title>${title}</title>
    <!-- Meta -->
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta name="${meta/name}" stl:repeat="meta meta_tags" content="${meta/content}"/>

    <!-- CSS -->
    <link type="text/css" stl:repeat="style styles" rel="stylesheet" href="${style}"/>

    <!-- JavaScript -->
    <script stl:repeat="script scripts" type="text/javascript" src="${script}"></script>

  </head>
  <body>
    <div id="header">
      <stl:block stl:if="not user/info">(déconnecté)<br/><br/> <a id="top_menu_login" href="/;login_form">Connexion</a> <a id="top_menu_register" stl:if="user/joinisopen" href="/;register_form">Inscription</a>
      </stl:block>

      <stl:block stl:if="user/info">(connecté en ${user/info/title})<br/><br/> <a id="top_menu_logout" href="/;logout">Déconnexion</a>
      </stl:block>

      <a id="top_menu_search" href="/;site_search">Rechercher</a> <a id="top_menu_contact" href="/;contact_form">Contact</a>
    </div>
    <table border="0" width="100%" cellspacing="0" cellpadding="0">
      <tr>
        <td id="left" class="column" valign="top">
          <div class="navigation" stl:repeat="menu left_menus">
            <label>${menu/title}</label>${menu/content}</div>
        </td>
        <td id="center" class="column" valign="top">
          <div id="maintitle">
            <img style="float: left; margin-right: 9px" height="48" src="${metadata/icon}" stl:if="metadata/icon" alt="" width="48"/>
            <h1>${metadata/title}</h1>
            <div id="breadcrumbs">
              <label>Emplacement :</label>
              <span stl:repeat="item breadcrumb"><a stl:if="item/url" title="${item/name}" href="${item/url}">${item/short_name}</a> <span stl:if="not item/url" title="${item/name}">${item/short_name}</span> <stl:inline stl:if="not repeat/item/end">/</stl:inline></span>
            </div>
            <div class="clear"></div>
          </div>
          <!-- Object Menu (aka Tabs) -->
          <div id="tabs">
            <table border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td class="${menu/class}" onmouseover="show('menu_${menu/id}')" stl:repeat="menu tabs" onmouseout="hide('menu_${menu/id}')">
                  <div class="menu">
                    <a id="${menu/id}" href="${menu/name}"><span>${menu/label}</span></a>
                  </div>
                  <div class="submenu" stl:if="menu/options" id="menu_${menu/id}">
                    <ul>
                      <li stl:repeat="option menu/options">
                        <a href="${option/name}">${option/label}</a>
                      </li>
                    </ul>
                  </div>
                </td>
              </tr>
            </table>
          </div>
          <!-- The Body -->
          <div id="body">
            <div id="message" stl:if="message">${message}</div>
            <div id="content">${body}</div>
          </div>
        </td>
      </tr>
    </table>
    <div id="footer">
      <a href="/;about">À propos</a> <a href="/;credits">Crédits</a> <a href="/;license">Licence</a>
    </div>
  </body>
</html>
